Bug 664906 - Review Request: perl-Regexp-Common-net-CIDR - Provide patterns for CIDR blocks
Summary: Review Request: perl-Regexp-Common-net-CIDR - Provide patterns for CIDR blocks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2010-12-22 04:00 UTC by Ralf Corsepius
Modified: 2011-01-23 20:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-23 20:23:24 UTC
ppisar: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2010-12-22 04:00:59 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Regexp-Common-net-CIDR.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Regexp-Common-net-CIDR-0.02-1.fc15.src.rpm

Description: 
Patterns for CIDR blocks.

Now only next IPv4 formats are supported:
  xxx.xxx/xx
  xxx.xxx.xxx/xx
  xxx.xxx.xxx.xxx/xx

Comment 1 Petr Pisar 2011-01-11 17:36:36 UTC
Source tar ball is original. Ok.
Summary verified from lib/Regexp/Common/net/CIDR.pm. Ok.
License verified from Makefile.PL. Ok.
Description verified from lib/Regexp/Common/net/CIDR.pm. Ok.

BuildRequires Ok.

No tests provided. Ok.

$ rpmlint perl-Regexp-Common-net-CIDR.spec ../SRPMS/perl-Regexp-Common-net-CIDR-0.02-1.fc14.src.rpm ../RPMS/noarch/perl-Regexp-Common-net-CIDR-0.02-1.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Regexp-Common-net-CIDR-0.02-1.fc14.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 11 18:23 /usr/share/doc/perl-Regexp-Common-net-CIDR-0.02
-rw-r--r--    1 root    root                      762 bře 26  2007 /usr/share/doc/perl-Regexp-Common-net-CIDR-0.02/README
-rw-r--r--    1 root    root                     2139 led 11 18:23 /usr/share/man/man3/Regexp::Common::net::CIDR.3pm.gz
drwxr-xr-x    2 root    root                        0 led 11 18:23 /usr/share/perl5/Regexp
drwxr-xr-x    2 root    root                        0 led 11 18:23 /usr/share/perl5/Regexp/Common
drwxr-xr-x    2 root    root                        0 led 11 18:23 /usr/share/perl5/Regexp/Common/net
-rw-r--r--    1 root    root                     1099 bře 26  2007 /usr/share/perl5/Regexp/Common/net/CIDR.pm
Files permission and layout Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Regexp-Common-net-CIDR-0.02-1.fc14.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.12.2)  
      1 perl(Regexp::Common)  
      1 perl(strict)  
      1 perl(warnings)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rpmlib(VersionedDependencies) <= 3.0.3-1
Binary requires Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Regexp-Common-net-CIDR-0.02-1.fc14.noarch.rpm | sort | uniq -c
      1 perl(Regexp::Common::net::CIDR) = 0.02
      1 perl-Regexp-Common-net-CIDR = 0.02-1.fc14
Binary provides Ok.

$ resolvedeps-f15 ../RPMS/noarch/perl-Regexp-Common-net-CIDR-0.02-1.fc14.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2715301). Ok.

Package in in line with Fedora and perl packaging guidelines. Ok.


Resolution: Package APPROVED.

Comment 2 Ralf Corsepius 2011-01-14 10:11:44 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-Regexp-Common-net-CIDR
Short Description: Provide patterns for CIDR blocks
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-01-14 17:17:32 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-01-15 07:24:09 UTC
perl-Regexp-Common-net-CIDR-0.02-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Regexp-Common-net-CIDR-0.02-1.fc13

Comment 5 Fedora Update System 2011-01-15 07:24:16 UTC
perl-Regexp-Common-net-CIDR-0.02-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Regexp-Common-net-CIDR-0.02-1.fc14

Comment 6 Fedora Update System 2011-01-15 22:23:23 UTC
perl-Regexp-Common-net-CIDR-0.02-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Regexp-Common-net-CIDR'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Regexp-Common-net-CIDR-0.02-1.fc13

Comment 7 Fedora Update System 2011-01-23 20:23:19 UTC
perl-Regexp-Common-net-CIDR-0.02-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-23 20:27:15 UTC
perl-Regexp-Common-net-CIDR-0.02-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.